## ros-humble-rclpy 3.3.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclpy)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

# Figure out Python3 debug/release before anything else can find_package it
if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)

  # Force FindPython3 to use the debug interpreter where ROS 2 expects it
  set(Python3_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rcl REQUIRED)
find_package(rcl_action REQUIRED)
find_package(rcl_lifecycle REQUIRED)
find_package(rcl_logging_interface REQUIRED)
find_package(rcl_yaml_param_parser REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(rosidl_runtime_c REQUIRED)

# Find python before pybind11
find_package(Python3 REQUIRED COMPONENTS Interpreter Development)

find_package(pybind11_vendor REQUIRED)
find_package(pybind11 REQUIRED)

# enables using the Python extensions from the build space for testing
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_rclpy/__init__.py" "")

ament_python_install_package(${PROJECT_NAME})

# Only build the library if a C typesupport exists
get_rmw_typesupport(typesupport_impls "rmw_implementation" LANGUAGE "c")
if(typesupport_impls STREQUAL "")
  message(STATUS "Skipping rclpy because no C typesupport library was found.")
  return()
endif()

# Set the build location and install location for a CPython extension
function(configure_build_install_location _library_name)
  # Install into test_rclpy folder in build space for unit tests to import
  set_target_properties(${_library_name} PROPERTIES
    # Use generator expression to avoid prepending a build type specific directory on Windows
    LIBRARY_OUTPUT_DIRECTORY $<1:${CMAKE_CURRENT_BINARY_DIR}/test_rclpy>
    RUNTIME_OUTPUT_DIRECTORY $<1:${CMAKE_CURRENT_BINARY_DIR}/test_rclpy>)

  # Install library for actual use
  install(TARGETS ${_library_name}
    DESTINATION "${PYTHON_INSTALL_DIR}/${PROJECT_NAME}"
  )
endfunction()

# Split from main extension and converted to pybind11
pybind11_add_module(_rclpy_pybind11 SHARED
  src/rclpy/_rclpy_logging.cpp
  src/rclpy/_rclpy_pybind11.cpp
  src/rclpy/action_client.cpp
  src/rclpy/action_goal_handle.cpp
  src/rclpy/action_server.cpp
  src/rclpy/client.cpp
  src/rclpy/clock.cpp
  src/rclpy/context.cpp
  src/rclpy/destroyable.cpp
  src/rclpy/duration.cpp
  src/rclpy/clock_event.cpp
  src/rclpy/exceptions.cpp
  src/rclpy/graph.cpp
  src/rclpy/guard_condition.cpp
  src/rclpy/lifecycle.cpp
  src/rclpy/logging.cpp
  src/rclpy/names.cpp
  src/rclpy/node.cpp
  src/rclpy/publisher.cpp
  src/rclpy/qos.cpp
  src/rclpy/qos_event.cpp
  src/rclpy/serialization.cpp
  src/rclpy/service.cpp
  src/rclpy/service_info.cpp
  src/rclpy/signal_handler.cpp
  src/rclpy/subscription.cpp
  src/rclpy/time_point.cpp
  src/rclpy/timer.cpp
  src/rclpy/utils.cpp
  src/rclpy/wait_set.cpp
)
target_include_directories(_rclpy_pybind11 PRIVATE
  src/rclpy/
)
target_link_libraries(_rclpy_pybind11 PRIVATE
  lifecycle_msgs::lifecycle_msgs__rosidl_generator_c
  lifecycle_msgs::lifecycle_msgs__rosidl_typesupport_c
  rcl::rcl
  rcl_action::rcl_action
  rcl_lifecycle::rcl_lifecycle
  rcl_logging_interface::rcl_logging_interface
  rcpputils::rcpputils
  rcutils::rcutils
  rosidl_runtime_c::rosidl_runtime_c
)
configure_build_install_location(_rclpy_pybind11)

if(NOT WIN32)
  ament_environment_hooks(
    "${ament_cmake_package_templates_ENVIRONMENT_HOOK_LIBRARY_PATH}"
  )
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS rcutils::rcutils INTERFACE_INCLUDE_DIRECTORIES)
  list(APPEND AMENT_LINT_AUTO_EXCLUDE "ament_cmake_cppcheck")
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_cppcheck REQUIRED)
  ament_cppcheck()
  set_tests_properties(cppcheck PROPERTIES TIMEOUT 420)

  find_package(ament_cmake_pytest REQUIRED)
  find_package(rosidl_generator_py REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)

  rosidl_generator_py_get_typesupports(_typesupport_impls)
  ament_index_get_prefix_path(ament_index_build_path SKIP_AMENT_PREFIX_PATH)
  # Get the first item (it will be the build space version of the build path).
  list(GET ament_index_build_path 0 ament_index_build_path)
  if(WIN32)
    # On Windows prevent CMake errors and prevent it being evaluated as a list.
    string(REPLACE "\\" "/" ament_index_build_path "${ament_index_build_path}")
  endif()

  ament_add_gtest(test_python_allocator
    test/test_python_allocator.cpp)
  target_include_directories(test_python_allocator PRIVATE src/rclpy)
  target_link_libraries(test_python_allocator pybind11::embed)

  if(NOT _typesupport_impls STREQUAL "")
    # Run each test in its own pytest invocation to isolate any global state in rclpy
    set(_rclpy_pytest_tests
      test/test_action_client.py
      test/test_action_graph.py
      test/test_action_server.py
      test/test_callback_group.py
      test/test_client.py
      test/test_clock.py
      test/test_context.py
      test/test_create_node.py
      test/test_create_while_spinning.py
      test/test_destruction.py
      test/test_executor.py
      test/test_expand_topic_name.py
      test/test_guard_condition.py
      test/test_init_shutdown.py
      test/test_logging.py
      test/test_logging_rosout.py
      test/test_messages.py
      test/test_node.py
      test/test_parameter.py
      test/test_parameter_service.py
      test/test_publisher.py
      test/test_qos.py
      test/test_qos_event.py
      test/test_qos_overriding_options.py
      test/test_rate.py
      test/test_serialization.py
      test/test_subscription.py
      test/test_task.py
      test/test_time_source.py
      test/test_time.py
      test/test_timer.py
      test/test_topic_or_service_is_hidden.py
      test/test_topic_endpoint_info.py
      test/test_type_support.py
      test/test_utilities.py
      test/test_validate_full_topic_name.py
      test/test_validate_namespace.py
      test/test_validate_node_name.py
      test/test_validate_topic_name.py
      test/test_waitable.py
    )

    foreach(_test_path ${_rclpy_pytest_tests})
      get_filename_component(_test_name ${_test_path} NAME_WE)
      ament_add_pytest_test(${_test_name} ${_test_path}
        APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}
          PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
        TIMEOUT 120
        WERROR ON
      )
    endforeach()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-rclpy (3.3.9-1jammy) jammy; urgency=high

  * ServerGoalHandle should be destroyed before removing. (#1113 <https://github.com/ros2/rclpy/issues/1113>) (#1120 <https://github.com/ros2/rclpy/issues/1120>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rclpy (3.3.8-1jammy) jammy; urgency=high

  * Deal with ParameterUninitializedException for parameter service (backport #1033 <https://github.com/ros2/rclpy/issues/1033>) (#1041 <https://github.com/ros2/rclpy/issues/1041>)
  * Fix #983 <https://github.com/ros2/rclpy/issues/983> by saving future and checking for + raising any exceptions (#1073 <https://github.com/ros2/rclpy/issues/1073>) (#1088 <https://github.com/ros2/rclpy/issues/1088>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rclpy (3.3.7-1jammy) jammy; urgency=high

  * Fix test_publisher linter for pydocstyle 6.2.2 (backport #1063 <https://github.com/ros2/rclpy/issues/1063>) (#1066 <https://github.com/ros2/rclpy/issues/1066>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 13 Jan 2023 00:00:00 -0000

ros-humble-rclpy (3.3.6-1jammy) jammy; urgency=high

  * decorator should not be callable. (#1050 <https://github.com/ros2/rclpy/issues/1050>) (#1051 <https://github.com/ros2/rclpy/issues/1051>)
  * Add parallel callback test (#1044 <https://github.com/ros2/rclpy/issues/1044>) (#1052 <https://github.com/ros2/rclpy/issues/1052>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rclpy (3.3.5-1jammy) jammy; urgency=high

  * Waitable should check callback_group if it can be executed. (#1001 <https://github.com/ros2/rclpy/issues/1001>) (#1013 <https://github.com/ros2/rclpy/issues/1013>)
  * Revert "Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>)" (#1017 <https://github.com/ros2/rclpy/issues/1017>) (#1023 <https://github.com/ros2/rclpy/issues/1023>)
  * support wildcard matching for params file (#987 <https://github.com/ros2/rclpy/issues/987>) (#1002 <https://github.com/ros2/rclpy/issues/1002>)
  * Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>) (#990 <https://github.com/ros2/rclpy/issues/990>)
  * fix gcc 7.5 build errors (#977 <https://github.com/ros2/rclpy/issues/977>) (#980 <https://github.com/ros2/rclpy/issues/980>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rclpy (3.3.4-1jammy) jammy; urgency=high

  * check if the context is already shutdown. (#939 <https://github.com/ros2/rclpy/issues/939>) (#943 <https://github.com/ros2/rclpy/issues/943>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 17 May 2022 00:00:00 -0000

ros-humble-rclpy (3.3.3-1jammy) jammy; urgency=high

  * remove feedback callback when the goal has been completed. (#927 <https://github.com/ros2/rclpy/issues/927>) (#931 <https://github.com/ros2/rclpy/issues/931>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-rclpy (3.3.2-1jammy) jammy; urgency=high

  * Make rclpy dependencies explicit (#906 <https://github.com/ros2/rclpy/issues/906>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rclpy (3.3.1-1jammy) jammy; urgency=high

  * Avoid exception in Node constructor when use override for 'use_sim_time' (#896 <https://github.com/ros2/rclpy/issues/896>)
  * time_until_next_call returns max if timer is canceled. (#910 <https://github.com/ros2/rclpy/issues/910>)
  * Contributors: Artem Shumov, Ivan Santiago Paunovic, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-rclpy (3.3.0-1jammy) jammy; urgency=high

  * Properly implement action server/client handle cleanup. (#905 <https://github.com/ros2/rclpy/issues/905>)
  * Make sure to take out contexts on Action{Client,Server}. (#904 <https://github.com/ros2/rclpy/issues/904>)
  * Make sure to free the goal_status_array when done using it. (#902 <https://github.com/ros2/rclpy/issues/902>)
  * Bugfix to Node.destroy_rate() result (#901 <https://github.com/ros2/rclpy/issues/901>)
  * Remove fastrtps customization on tests (#895 <https://github.com/ros2/rclpy/issues/895>)
  * fix typo (#890 <https://github.com/ros2/rclpy/issues/890>)
  * Document that Future.result() may return None (#884 <https://github.com/ros2/rclpy/issues/884>)
  * update doc release number (#885 <https://github.com/ros2/rclpy/issues/885>)
  * Contributors: Anthony, Auguste Lalande, Chris Lalancette, Erki Suurjaak, Jacob Perron, Miguel Company

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rclpy (3.2.1-1jammy) jammy; urgency=high

  * Fix multi-threaded race condition in client.call_async (#871 <https://github.com/ros2/rclpy/issues/871>)
  * Fix include order for cpplint (#877 <https://github.com/ros2/rclpy/issues/877>)
  * Bugfix/duration to msg precision (#876 <https://github.com/ros2/rclpy/issues/876>)
  * Update to pybind11 2.7.1 (#874 <https://github.com/ros2/rclpy/issues/874>)
  * QoS history depth is only available with KEEP_LAST (#869 <https://github.com/ros2/rclpy/issues/869>)
  * Contributors: Auguste Lalande, Chris Lalancette, Erki Suurjaak, Jacob Perron, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rclpy (3.2.0-1jammy) jammy; urgency=high

  * Implement managed nodes. (#865 <https://github.com/ros2/rclpy/issues/865>)
  * Make rclpy.try_shutdown() behavior to follow rclpy.shutdown() more closely. (#868 <https://github.com/ros2/rclpy/issues/868>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclpy//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rclpy 3.3.13

=== debian/changelog ===
ros-humble-rclpy (3.3.13-1bookworm) bookworm; urgency=high

  * update RCL_RET_TIMEOUT error handling with action service response. (#1258 <https://github.com/ros2/rclpy/issues/1258>) (#1276 <https://github.com/ros2/rclpy/issues/1276>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rclpy (3.3.12-1bookworm) bookworm; urgency=high

  * Don't crash the action server if the client goes away. (#1114 <https://github.com/ros2/rclpy/issues/1114>) (#1218 <https://github.com/ros2/rclpy/issues/1218>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rclpy (3.3.11-1bookworm) bookworm; urgency=high

  * Use timeout object to avoid callback losing in wait_for_ready_callbacks (backport #1165 <https://github.com/ros2/rclpy/issues/1165>) (#1185 <https://github.com/ros2/rclpy/issues/1185>)
  * unregister_sigterm_signal_handler should be called. (#1170 <https://github.com/ros2/rclpy/issues/1170>) (#1176 <https://github.com/ros2/rclpy/issues/1176>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rclpy (3.3.10-1bookworm) bookworm; urgency=high

  * Avoid generating the exception when rcl_send_response times out. (#1136 <https://github.com/ros2/rclpy/issues/1136>) (#1152 <https://github.com/ros2/rclpy/issues/1152>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rclpy (3.3.9-1bookworm) bookworm; urgency=high

  * ServerGoalHandle should be destroyed before removing. (#1113 <https://github.com/ros2/rclpy/issues/1113>) (#1120 <https://github.com/ros2/rclpy/issues/1120>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rclpy (3.3.8-1bookworm) bookworm; urgency=high

  * Deal with ParameterUninitializedException for parameter service (backport #1033 <https://github.com/ros2/rclpy/issues/1033>) (#1041 <https://github.com/ros2/rclpy/issues/1041>)
  * Fix #983 <https://github.com/ros2/rclpy/issues/983> by saving future and checking for + raising any exceptions (#1073 <https://github.com/ros2/rclpy/issues/1073>) (#1088 <https://github.com/ros2/rclpy/issues/1088>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rclpy (3.3.7-1bookworm) bookworm; urgency=high

  * Fix test_publisher linter for pydocstyle 6.2.2 (backport #1063 <https://github.com/ros2/rclpy/issues/1063>) (#1066 <https://github.com/ros2/rclpy/issues/1066>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 12 Jan 2023 16:00:00 -0000

ros-humble-rclpy (3.3.6-1bookworm) bookworm; urgency=high

  * decorator should not be callable. (#1050 <https://github.com/ros2/rclpy/issues/1050>) (#1051 <https://github.com/ros2/rclpy/issues/1051>)
  * Add parallel callback test (#1044 <https://github.com/ros2/rclpy/issues/1044>) (#1052 <https://github.com/ros2/rclpy/issues/1052>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rclpy (3.3.5-1bookworm) bookworm; urgency=high

  * Waitable should check callback_group if it can be executed. (#1001 <https://github.com/ros2/rclpy/issues/1001>) (#1013 <https://github.com/ros2/rclpy/issues/1013>)
  * Revert "Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>)" (#1017 <https://github.com/ros2/rclpy/issues/1017>) (#1023 <https://github.com/ros2/rclpy/issues/1023>)
  * support wildcard matching for params file (#987 <https://github.com/ros2/rclpy/issues/987>) (#1002 <https://github.com/ros2/rclpy/issues/1002>)
  * Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>) (#990 <https://github.com/ros2/rclpy/issues/990>)
  * fix gcc 7.5 build errors (#977 <https://github.com/ros2/rclpy/issues/977>) (#980 <https://github.com/ros2/rclpy/issues/980>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rclpy (3.3.4-1bookworm) bookworm; urgency=high

  * check if the context is already shutdown. (#939 <https://github.com/ros2/rclpy/issues/939>) (#943 <https://github.com/ros2/rclpy/issues/943>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-rclpy (3.3.3-1bookworm) bookworm; urgency=high

  * remove feedback callback when the goal has been completed. (#927 <https://github.com/ros2/rclpy/issues/927>) (#931 <https://github.com/ros2/rclpy/issues/931>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rclpy (3.3.2-1bookworm) bookworm; urgency=high

  * Make rclpy dependencies explicit (#906 <https://github.com/ros2/rclpy/issues/906>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rclpy (3.3.1-1bookworm) bookworm; urgency=high

  * Avoid exception in Node constructor when use override for 'use_sim_time' (#896 <https://github.com/ros2/rclpy/issues/896>)
  * time_until_next_call returns max if timer is canceled. (#910 <https://github.com/ros2/rclpy/issues/910>)
  * Contributors: Artem Shumov, Ivan Santiago Paunovic, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rclpy (3.3.0-1bookworm) bookworm; urgency=high

  * Properly implement action server/client handle cleanup. (#905 <https://github.com/ros2/rclpy/issues/905>)
  * Make sure to take out contexts on Action{Client,Server}. (#904 <https://github.com/ros2/rclpy/issues/904>)
  * Make sure to free the goal_status_array when done using it. (#902 <https://github.com/ros2/rclpy/issues/902>)


=== debian/control ===
Source: ros-humble-rclpy
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-pybind11-vendor, ros-humble-python-cmake-module, ros-humble-rcl, ros-humble-rcl-action, ros-humble-rcl-lifecycle, ros-humble-rcl-logging-interface, ros-humble-rcl-yaml-param-parser, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rmw-implementation-cmake, ros-humble-rosidl-generator-py <!nocheck>, ros-humble-rosidl-runtime-c, ros-humble-test-msgs <!nocheck>, ros-humble-unique-identifier-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-builtin-interfaces, ros-humble-rcl, ros-humble-rcl-action, ros-humble-rcl-interfaces, ros-humble-rcl-lifecycle, ros-humble-rcl-logging-interface, ros-humble-rcl-yaml-param-parser, ros-humble-rmw, ros-humble-rmw-implementation, ros-humble-rosgraph-msgs, ros-humble-rosidl-runtime-c, ros-humble-rpyutils, ros-humble-unique-identifier-msgs, ros-humble-ros-workspace
Description: Package containing the Python client.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclpy//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclpy//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rclpy//opt/ros/humble/opt/rclpy/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-rclpy 3.3.14

=== debian/changelog ===
ros-humble-rclpy (3.3.14-1bookworm) bookworm; urgency=high

  * Fix a bad bug in fetching the lifecycle transitions. (#1321 <https://github.com/ros2/rclpy/issues/1321>) (#1324 <https://github.com/ros2/rclpy/issues/1324>)
  * add missing Optionals to function declarations (#1306 <https://github.com/ros2/rclpy/issues/1306>)
  * Support wait for message backport humble (#1272 <https://github.com/ros2/rclpy/issues/1272>)
  * [Humble] Fix AttributeError _logger in Action Server (#1299 <https://github.com/ros2/rclpy/issues/1299>)
  * Fix incorrect comparsion on whether parameter type is NOT_SET (#1032 <https://github.com/ros2/rclpy/issues/1032>) (#1283 <https://github.com/ros2/rclpy/issues/1283>)
  * Contributors: Shane Loretz, Tomoya Fujita, alberthli, mergify[bot], xueying

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000
